Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Interface IGraphics

All Known Subinterfaces:
  IGraphics2D, IGraphics3D, IGraphicsGL

All Known Implementing Classes:
  IGraphicsGL1, IGraphicsGL2, IGraphicsJ2D, PIGraphics3D

    public interface IGraphics

Class of Graphics like java.awt.Graphics to wrap all possible graphic mode (Currently Java AWT and OpenGL).

Author:
  Satoru Sugihara

Method Summary
`void` | `clr(float[] rgba)` fill color (array of 4 float in order of r, g, b, a)
`void` | `clr(float r, float g, float b)` fill color (float 0-255)
`void` | `clr(float r, float g, float b, float a)` fill color (float 0-255)
`void` | `clr(IColor c)` fill color
`void` | `draw(java.util.ArrayList<IGraphicI> objects, IView view)`
`boolean` | `firstDraw()` check if this is the first time frame to draw
`void` | `firstDraw(boolean f)` set the first draw flag
`void` | `stroke(float[] rgba)` stroke color (array of 4 float in order of r, g, b, a)
`void` | `stroke(float r, float g, float b)` stroke color (float 0-255)
`void` | `stroke(float r, float g, float b, float a)` stroke color (float 0-255)
`void` | `stroke(IColor c)` stroke (line) color
`IGraphicMode.GraphicType` | `type()`
`IView` | `view()`
`void` | `weight(float w)`

Method Detail

### view

    IView view()

### draw

    void draw(java.util.ArrayList<IGraphicI> objects,
              IView view)

### type

    IGraphicMode.GraphicType type()

### clr

    void clr(IColor c)

  fill color

### clr

    void clr(float r,
             float g,
             float b,
             float a)

  fill color (float 0-255)

### clr

    void clr(float r,
             float g,
             float b)

  fill color (float 0-255)

### clr

    void clr(float[] rgba)

  fill color (array of 4 float in order of r, g, b, a)

### stroke

    void stroke(IColor c)

  stroke (line) color

### stroke

    void stroke(float r,
                float g,
                float b,
                float a)

  stroke color (float 0-255)

### stroke

    void stroke(float r,
                float g,
                float b)

  stroke color (float 0-255)

### stroke

    void stroke(float[] rgba)

  stroke color (array of 4 float in order of r, g, b, a)

### weight

    void weight(float w)

### firstDraw

    boolean firstDraw()

  check if this is the first time frame to draw

### firstDraw

    void firstDraw(boolean f)

  set the first draw flag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD